/*

Copyright (C) 2002-2003, Jeffrey D. Argast.

The authors make NO WARRANTY or representation, either express or implied,
with respect to this software, its quality, accuracy, merchantability, or
fitness for a particular purpose.  This software is provided "AS IS", and you,
its user, assume the entire risk as to its quality and accuracy.

Permission is hereby granted to use, copy, modify, and distribute this
software or portions thereof for any purpose, without fee, subject to these
conditions:

(1) If any part of the source code is distributed, then this
statement must be included, with this copyright and no-warranty notice
unaltered.

(2) Permission for use of this software is granted only if the user accepts
full responsibility for any undesirable consequences; the authors accept
NO LIABILITY for damages of any kind.

*/

#define kExecutingMessage					@"execmsg"
#define kOutputMessage						@"outputmsg"
#define kInfoMessage						@"infomsg"
#define kWarnMessage						@"warnmsg"
#define kErrorMessage						@"errormsg"

#define kDefaultsPortChanged				@"portchanged"
#define kDefaultsUserChanged				@"defuserchanged"
#define kDefaultsClientChanged				@"defclientchanged"
#define kDefaultsShowEntireDepotChanged		@"entiredepot"
#define kDefaultsShowDeletedFilesChanged	@"deletedfiles"
#define kDefaultsShowLocalFilesChanged		@"localfiles"
#define kDefaultsNumChangesToFetchChanged	@"numchangesfetch"
#define kDefaultsConfigurationsChanged		@"configschanged"

#define kDepotControllerChildChanged		@"depotchildchanged"
#define kDepotControllerExpandChild			@"depotexpandchild"
#define kPendingChangesChildChanged			@"pendingchangeschanged"

#define kActionListChanged					@"actionlistchanged"

#define kActionSyncCommandComplete			@"synccomplete"
#define kActionEditCommandComplete			@"editcomplete"
#define kActionDeleteCommandComplete		@"deletecomplate"
#define kActionRevertCommandComplete		@"revertcomplete"
#define kActionAddCommandComplete			@"addcomplete"
#define kActionReopenCommandComplete		@"reopencomplete"
#define kActionSubmitCommandComplete		@"submitcomplete"

#define kChangeChanged						@"changechanged"
#define kBranchChanged						@"branchchanged"
#define kLabelChanged						@"labelchanged"
#define kUserChanged						@"userchanged"
#define kJobChanged							@"jobchanged"

#define kRefreshAllViews					@"refreshallviews"


#define kGlobalSyncComplete					@"globalsync"	

